Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#77 configure broken

6.0
closed-fixed
nobody
None
5
2010-04-11
2010-03-30
Barry Kauler
No

I have just tried to compile Fbpanel 6.0, I have a normal functioning compile environment in Puppy Linux.

If I run configure:
> ./configure
> make
make[1]: Entering directory `/mnt/sda3/sources/input040/0-openbox-fbpanel-srcs/fbpanel-6.0/plugins'
make[2]: Entering directory `/mnt/sda3/sources/input040/0-openbox-fbpanel-srcs/fbpanel-6.0/plugins/taskbar'
cc -O2 -Wall -I -c -o taskbar.o taskbar.c
taskbar.c:10:35: error: gdk-pixbuf/gdk-pixbuf.h: No such file or directory
taskbar.c:11:45: error: gdk-pixbuf-xlib/gdk-pixbuf-xlib.h: No such file or directory
taskbar.c:12:21: error: gdk/gdk.h: No such file or directory
taskbar.c:17:18: error: misc.h: No such file or directory
taskbar.c:18:20: error: plugin.h: No such file or directory
taskbar.c:19:35: error: data/images/default.xpm: No such file or directory
taskbar.c:20:20: error: gtkbar.h: No such file or directory
taskbar.c:29:17: error: dbg.h: No such file or directory

...I checked, pkg-config works correctly. Your configuration is somehow ignoring the '-I' parameters.

Regards,
Barry

Discussion

1 2 > >> (Page 1 of 2)
  • what's your locale?
    If you set
    LC_ALL=C
    export LC_ALL
    LANGUAGE=C
    export LANGUAGE
    BEFORE configure and make, does it work then?

    Also related http://bugs.gentoo.org/show_bug.cgi?id=304373

     
  • Please attach config.mk to this bug.

     
  • Barry Kauler
    Barry Kauler
    2010-03-31

    Fbpanel 6.0, after running ./configure

     
    Attachments
  • Barry Kauler
    Barry Kauler
    2010-03-31

    Hi,
    My locale was en_US, I tried your suggestion with setting to C, makes no difference.

    config.mk attached.

     
  • Hi
    I think the bug is related to how fbpanel works with your local.. I'd lask to do these steps:
    1) please take configure script from here
    http://fbpanel.svn.sourceforge.net/viewvc/fbpanel/trunk/configure
    and run as
    bash -x ./configure 'your-params' > /tmp/log.txt 2>&1
    and send me that file (/tmp/log.txt)

    2) please run
    locale
    and send me its output

    TIA

     
  • Barry Kauler
    Barry Kauler
    2010-04-02

    Ok, I download 'configure', then ran this:

    bash -x ./configure --build=i486-t2-linux-gnu --prefix=/usr --sysconfdir=/etc --localstatedir=/var --disable-debug > /tmp/log.txt 2>&1

    log.txt is attached.

     
  • Barry Kauler
    Barry Kauler
    2010-04-02

     
    Attachments
  • Barry Kauler
    Barry Kauler
    2010-04-02

    # locale
    LANG=en_US
    LC_CTYPE="en_US"
    LC_NUMERIC="en_US"
    LC_TIME="en_US"
    LC_COLLATE=en_US
    LC_MONETARY="en_US"
    LC_MESSAGES="en_US"
    LC_PAPER="en_US"
    LC_NAME="en_US"
    LC_ADDRESS="en_US"
    LC_TELEPHONE="en_US"
    LC_MEASUREMENT="en_US"
    LC_IDENTIFICATION="en_US"
    LC_ALL=

    ...but, it makes no difference if LC_ALL is set to en_US. I have also tried setting everything to C.

    I have compiled many dozens of GTK apps in this environment. In fact, just before I tried to compile Fbpanel yesterday, I compiled Obconf, without any trouble.

     
  • You were right - it was not locale issues. As I saw from log.txt, the faulty part was 'tr' utility.
    Now configure is fixed and commited to svn. Take new version here
    http://fbpanel.svn.sourceforge.net/viewvc/fbpanel/trunk/configure

    Here are details. I've installed Puppy Linux in VirtualBox and saw that 'tr' there is not an original program but a busybox variant and it behaves slightly different. The fix was to change its command line to make it do right things

    Thanks for your help

     
    • status: open --> open-fixed
     
1 2 > >> (Page 1 of 2)